package hello;

import java.util.Arrays;
import java.util.List;
import java.util.UUID;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@Controller
public class GreetingController {

	@GetMapping("/greeting")
	public String greeting(
			@RequestParam(name = "name", required = false, defaultValue = "World") String name,
			Model model) {
		model.addAttribute("greeting", new Greeting(name));
		return "greeting";
	}

	@GetMapping("/greetings")
	public String greetings(Model model) {
		List<Greeting> greetings = Arrays.asList(new Greeting("foo"), new Greeting("bar"));
		model.addAttribute("greetings", greetings);
		return "greetings";
	}

}

class Greeting {

	private String id = UUID.randomUUID().toString();

	private String msg;

	@SuppressWarnings("unused")
	private Greeting() {
	}

	public Greeting(String msg) {
		this.msg = msg;
	}

	public String getId() {
		return id;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String toString() {
		return "Greeting [msg=" + msg + "]";
	}

}